Subject: Re: gparted-1.0.0-0.1 comes with dependencies for systemd components

From: Mark Hindley <[email-masked]>
Date: Wed, 3 Jun 2020 12:53:03 +0100

Control: tags -1 debian

On Wed, Jun 03, 2020 at 12:44:06PM +0100, Klaus Ethgen wrote:
> > Well you were trying to install gparted and that does require logind
> > functionality so you do want it and would use it, if only indirectly.
> 
> Thats exactly the problem, it doesn't. That is a weak dependency that
> should at most be recommended. That how it worked with earlier versions
> too. That dependency for logind is just artefactual and not really
> needed.

OK. That is fine. I understand better. However, gparted is not a forked package
and Devuan uses Debian's packages directly. If you want them to reconsider that
decision, please would report the issue directly to Debian's BTS.

> > If you want to avoid that you could consider using one of the command line
> > partitioners like parted, fdisk....
> 
> Yes, yes, thats how I use it most of the time. However...
> 
> Let me express something else about elogind and the library replacement
> for libsystemd. On one hand I like it. But it did put the library to
> /usr leaving my system unbootable. I had to recover it with grml.

Could you submit a new report for that against libelogind0, please?

Thanks.

Mark